Subject: Re: [PATCH 19/21] orinoco: reduce differences between PCI drivers, create orinoco_pci.h

From: Pavel Roskin <proski-mXXj517/[email-masked]>
Date: Fri, 07 Apr 2006 18:43:25 -0400

On Sat, 2006-04-08 at 00:10 +0200, Francois Romieu wrote:
> > +	spin_lock_irqsave(&priv->lock, flags);
> 
> Interruptions are enabled. No need to save/restore.

Agreed.  I have found a few other places where it's also true.  I'll fix
it.  Actually, I'm going to change the locking to accommodate some USB
devices, so changes will be more widespread.

> > +	netif_device_attach(dev);
> > +
> > +	priv->hw_unavailable--;
> > +
> > +	if (priv->open && (! priv->hw_unavailable)) {
> > +		err = __orinoco_up(dev);
> 
> I wonder if it would be enough to issue hermes_set_irqmask() later
> in __orinoco_up() to release this irq disabled section.

Maybe, but I prefer not to touch this code, since it's about to undergo
a much more radical rework.

-- 
Regards,
Pavel Roskin

-------------------------------------------------------
This SF.Net email is sponsored by xPML, a groundbreaking scripting language
that extends applications into web and mobile media. Attend the live webcast
and join the prime developer group breaking into this new coding territory!
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=110944&bid=241720&dat=121642